# H245_ExtendedVideoCapability Class Reference

`#include <h245.h>`

Inheritance diagram for H245_ExtendedVideoCapability:

List of all members.

## Public Types

enum | OptionalFields { e_videoCapabilityExtension }

## Public Member Functions

| H245_ExtendedVideoCapability (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_ArrayOf_VideoCapability | m_videoCapability
H245_ArrayOf_GenericCapability | m_videoCapabilityExtension

## Member Enumeration Documentation

enum H245_ExtendedVideoCapability::OptionalFields

Enumerator:

  e_videoCapabilityExtension |

## Constructor & Destructor Documentation

H245_ExtendedVideoCapability::H245_ExtendedVideoCapability | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_ExtendedVideoCapability::GetDataLength | ( |  | ) | const

PBoolean H245_ExtendedVideoCapability::Decode | ( | PASN_Stream & | strm | ) |

void H245_ExtendedVideoCapability::Encode | ( | PASN_Stream & | strm | ) | const

void H245_ExtendedVideoCapability::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_ExtendedVideoCapability::Compare | ( | const PObject & | obj | ) | const

PObject* H245_ExtendedVideoCapability::Clone | ( |  | ) | const

## Member Data Documentation

H245_ArrayOf_VideoCapability H245_ExtendedVideoCapability::m_videoCapability

H245_ArrayOf_GenericCapability H245_ExtendedVideoCapability::m_videoCapabilityExtension

The documentation for this class was generated from the following file:

- h245.h